|  | Home | Documentation | wsu.h File Reference updated by Robert van Engelen |

Classes | Macros | Typedefs | Enumerations
wsu.h File Reference
This graph shows which files directly or indirectly include this file:

## Classes

struct | _wsu__Timestamp
| This element allows Timestamps to be applied anywhere element wildcards are present, including as a SOAP header. Imported element _wsu__Timestamp from typemap WS/WS-typemap.dat. More...

## Macros

#define | SOAP_NAMESPACE_OF_wsu "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"

## Typedefs

typedef enum wsu__tTimestampFault | wsu__tTimestampFault
| Typedef synonym for enum wsu__tTimestampFault.
typedef struct _wsu__Timestamp | _wsu__Timestamp
| This element allows Timestamps to be applied anywhere element wildcards are present, including as a SOAP header. Imported element _wsu__Timestamp from typemap WS/WS-typemap.dat.

## Enumerations

enum | wsu__tTimestampFault { wsu__MessageExpired }
| This type is for elements whose [children] is a psuedo-dateTime and can have arbitrary attributes. complexType definition intentionally left blank. More...

## Macro Definition Documentation

## ◆ SOAP_NAMESPACE_OF_wsu

#define SOAP_NAMESPACE_OF_wsu "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"

## Typedef Documentation

## ◆ _wsu__Timestamp

typedef struct _wsu__Timestamp _wsu__Timestamp

This element allows Timestamps to be applied anywhere element wildcards are present, including as a SOAP header. Imported element _wsu__Timestamp from typemap WS/WS-typemap.dat.

Element "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Timestamp of complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":TimestampType.

## ◆ wsu__tTimestampFault

typedef enum wsu__tTimestampFault wsu__tTimestampFault

Typedef synonym for enum wsu__tTimestampFault.

## Enumeration Type Documentation

## ◆ wsu__tTimestampFault

enum wsu__tTimestampFault

This type is for elements whose [children] is a psuedo-dateTime and can have arbitrary attributes. complexType definition intentionally left blank.

Imported complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":AttributedDateTime from typemap WS/WS-typemap.dat. Imported complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":AttributedURI from typemap WS/WS-typemap.dat.

This type is for elements whose [children] is an anyURI and can have arbitrary attributes. complexType definition intentionally left blank. Imported complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":TimestampType from typemap WS/WS-typemap.dat.

This complex type ties together the timestamp related elements into a composite type. complexType definition intentionally left blank. "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":tTimestampFault is a simpleType restriction of xs:QName.

This type defines the fault code value for Timestamp message expiration. Note: enum values are prefixed with 'wsu__tTimestampFault' to avoid name clashes, please use wsdl2h option -e to omit this prefix

Enumerator
wsu__MessageExpired | xs:QName value=""http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":MessageExpired"